import java.io.*;
import java.awt.*;
import VM.*;

public class Client1004 extends ClientBase implements GUI.Paintable
{
	public static void main(String[] arg) throws Exception { new Client1004().run(); }
	public Client1004() throws Exception { super(1004); }

	void run() throws IOException
	{
		step(0, 0);
		step(0, 0);

		double start_r=0, end_r=TR;

		boolean done=false, doNext=false;
		for(int i=0;; ++i)
		{
			endgame_check(i);
			wait(500000);

			if( i <= 3070 )
			{
				step(-2.0000, 0);
				continue;
			}
			else if( !done && SR > TR )
			{
				double D = 3232.293;
				System.out.println(SX + " " + SY);
				System.out.println(SR + " " + TR);
				step(-VX - D * N_SY + 2.174, -VY + D * N_SX + 0.35);
				done = true;
				System.err.println(i + " FIRE");
				continue;
			}
			else if( i > 0 )
			{
				step(0, 0);
				continue;
			}

			if(i==0)
			{
				start_r = SR;
				double f = (Math.sqrt(end_r*2 / (end_r+SR)) - 1) * V;
				step(N_VX*f, N_VY*f);
			}
			else
			{
				if( !done && doNext )
				{
					double v = Math.sqrt(G*ME / end_r);
					double f = (Math.sqrt(start_r*2 / (start_r+SR)) - 1) * -v;
					step(N_VX*f, N_VY*f);
					done = true;
				}
				else
				{
								  if( done ) { System.out.println(V); }
					doNext = PR>SR;
					step(0, 0);
				}
			}
		}
	}
}
