import java.io.*;
import java.awt.*;
import VM.*;

public class Client2003 extends ClientBase implements GUI.Paintable
{
	public static void main(String[] arg) throws Exception { new Client2003().run(); }
	public Client2003() throws Exception { super(2003); }

	void run() throws IOException
	{
		step(0, 0);
		step(0, 0);

		double start_r=0, end_r=TR;

		boolean done =false;
		for(int i=0;; ++i)
		{
			endgame_check(i);

			int X=34139;
			if(i<X) step(0,0);
			else if(i==X)
			{
				start_r = SR;

				//double v = Math.sqrt(G*ME / start_r);
				double f = (Math.sqrt(end_r*2 / (end_r+SR)) - 1) * V;
				step(N_VX*f, N_VY*f);
			}
			else
			{
				if( !done && PR<SR )
				{
					double v = Math.sqrt(G*ME / end_r);
					double f = (Math.sqrt(start_r*2 / (start_r+SR)) - 1) * -v;
					step(N_VX*f, N_VY*f);
					done = true;
				}
				else
					step(0, 0);
			}

			wait(100000);
		}
	}
}
