import java.io.*;
import java.awt.*;
import VM.*;

public class Client4003 extends ClientBase implements GUI.Paintable {

  public static void main(String[] arg) throws Exception {
//    (new File("vm4003.dump").exists() ? (Client4003)load(4003) : new Client4003()).run();
    new Client4003().run();
  }
  public Client4003() throws Exception { super(4003); }

  double dist(int j) {
    return Math.sqrt((SX - TX4[j]) * (SX - TX4[j]) + (SY - TY4[j]) * (SY - TY4[j]));
  }

  void dump(int i, int j) {
    System.out.println("--------");
    System.out.println(i);
    System.out.println(SX + " " + TX4[j]);
    System.out.println(SY + " " + TY4[j]);
    double D = dist(j);
    System.out.println(D);
    System.out.println("--------");
  }

  void run() throws IOException {

    step(0, 0);
    step(0, 0);

    double min = Double.MAX_VALUE;
    int mid = 0;

    for(int i=vm.getTimeStamp() - 2; i<2000000; ++i) {

      if( SCORE < 0 ) {
        System.err.println("CRASHED! : " + i + " : " + FUEL + "/" + FUEL0);
        System.exit(0);
      }

      if( i == 780000 ) { save(); }
int j = 11;
      double DI = dist(j);
      FROMME = true;
      if( DI <= 1000000 ) { wait(7000000);       FROMME_RANGE = 2000000; }
      else { FROMME_RANGE = 20000000; }
      wait(70000);

//      if( dist(0) < 5000 ) System.err.println(i);

      if( min > DI ) {
        min = DI;
        mid = i;
      }

      if( min <= 1000000 && min + 1000000 <= DI ) {
        System.err.println(mid + " " + min);
        System.exit(0);
      }

      if( DI < 8000 ) { System.err.println(i + " " + DI); }
      // to get output

      if( i == 811800 ) {
        step(200, 0);
        continue;
      }

      if( i == 781000 ) {
        step(-50.8, 180);
        continue;
      }

      // go moon
      if( i == 701000 ) {
        step(3200, 0);
        continue;
      }

      // get 10
      if( i == 681000 ) {
        step(11.2, 0);
        continue;
      }

      if( i == 510000 ) {
        double P = -1256.4;
        step(P * N_VX, P * N_VY);
        continue;
      }

      // get 9
      if( i == 501000 ) {
        step(-0.5, 0);
        continue;
      }

      if( i == 480000 ) {
        double P = 1600;
        step(P * N_VX + P, P * N_VY);
        continue;
      }

      if( i == 490000 ) {
        step(258, 1400);
        continue;
      }

      // get 8
      if( i == 371000 ) {
        step(-0.3, 0);
        continue;
      }

      if( i == 340000 ) {
        double P = 112;
        step(P * N_VX, P * N_VY);
        continue;
      }

      // get 7
      if( i == 286000 ) {
        step(48.6, 0);
        continue;
      }

      if( i == 247000 ) {
        double P = 101;
        step(P * N_VX, P * N_VY);
        continue;
      }

      // get 6
      if( i == 211000 ) {
        step(7.2, 0);
        continue;
      }

      if( i == 175000 ) {
        double P = 114;
        step(P * N_VX, P * N_VY);
        continue;
      }

      // get 5
      if( i == 146000 ) {
        step(-9.3, 0);
        continue;
      }

      if( i == 117000 ) {
        double P = 168;
        step(P * N_VX, P * N_VY);
        continue;
      }

      // get 4
      if( i == 96000 ) {
        step(-8.2, 0);
        continue;
      }

      if( i == 73000 ) {
        double P = 199;
        step(P * N_VX, P * N_VY);
        continue;
      }

      // get 3
      if( i == 39000 ) {
        double P = 337.19;
        step(P * N_VX, P * N_VY);
        continue;
      }

      // get 2
      if( i == 17000 ) {
        double P = 1041.82;
        step(P * N_VX, P * N_VY);
        continue;
      }

      // get 0
      if( i == 13500 ) {
        double P = 0;
        step(-900, 1354);
        continue;
      }

      // get 1
      if( i == 0 ) {
        step(0, -1225.62);
        continue;
      }

      step(0, 0);

    }

  }

}
