import java.io.*;
import java.awt.*;
import VM.*;

public class Client1001 extends ClientBase implements GUI.Paintable
{
	public static void main(String[] arg) throws Exception { new Client1001().run(); }
	public Client1001() throws Exception { super(1001); }

	void run() throws IOException
	{
		step(0, 0);
		step(0, 0);

		double start_r=0, end_r=TR;

		boolean done=false, doNext=false;
		for(int i=0;; ++i)
		{
			endgame_check(i);
			wait(500000);

			if( i <= 2552 )
			{
				step(0, -2.0006);
				continue;
			}
			else if( !done && SR > TR )
			{
				double D = 3081.863;
				System.out.println(SX + " " + SY);
				System.out.println(SR + " " + TR);
				step(-VX - D * N_SY, -VY + D * N_SX);
				done = true;
				System.err.println("FIRE");
				System.err.println(D * N_SY);
				System.err.println(D * N_SX);
				continue;
			}
			else if( i > 0 )
			{
				step(0, 0);
				continue;
			}

			if(i==0)
			{
				start_r = SR;
				double f = (Math.sqrt(end_r*2 / (end_r+SR)) - 1) * V;
				step(N_VX*f, N_VY*f);
			}
			else
			{
				if( !done && doNext )
				{
					double v = Math.sqrt(G*ME / end_r);
					double f = (Math.sqrt(start_r*2 / (start_r+SR)) - 1) * -v;
					step(N_VX*f, N_VY*f);
					done = true;
				}
				else
				{
					doNext = PR>SR;
					step(0, 0);
				}
			}
		}
	}
}
