import java.io.*;
import java.awt.*;
import VM.*;

public class Client4001 extends ClientBase implements GUI.Paintable {

  public static void main(String[] arg) throws Exception {
//    (new File("vm4001.dump").exists() ? (Client4001)load(4001) : new Client4001()).run();
    new Client4001().run();
  }
  public Client4001() throws Exception { super(4001); }

  double dist(int j) {
    return Math.sqrt((SX - TX4[j]) * (SX - TX4[j]) + (SY - TY4[j]) * (SY - TY4[j]));
  }

  void dump(int i, int j) {
    System.out.println("--------");
    System.out.println(i);
    System.out.println(SX + " " + TX4[j]);
    System.out.println(SY + " " + TY4[j]);
    double D = dist(j);
    System.out.println(D);
    System.out.println("--------");
  }

  void run() throws IOException {

    step(0, 0);
    step(0, 0);

    double min = Double.MAX_VALUE;
    int mid = 0;

    for(int i=vm.getTimeStamp() - 2; i<2000000; ++i) {

      if( SCORE < 0 ) {
        System.err.println("CRASHED! : " + i + " : " + FUEL + "/" + FUEL0);
        System.exit(0);
      }

      if( i == 1250000 ) { save(); }
int j = 11;
      double DI = dist(j);
      FROMME = DI <= 1000000;
      FROMME_RANGE = 2000000;
      if( FROMME ) { wait(7000000); }

//      if( dist(0) < 5000 ) System.err.println(i);

      if( min > DI ) {
        min = DI;
        mid = i;
      }

      if( min <= 1000000 && min + 1000000 <= DI ) {
        System.err.println(mid + " " + min);
        System.exit(0);
      }

      if( DI < 8000 ) { System.err.println(i + " " + DI); }
      // to get output

      wait(10000);

      /*
      if( !FROMME ) {
        FROMME_RANGE = 20000000;
      }
      FROMME = true;
      if( FROMME ) { wait(100000); }
       */
      if( i == 1251000 ) {
        step(-610.4, 70);
        continue;
      }

      if( i == 1105000 ) {
        double P = 2100;
        step(P * N_VX, P * N_VY);
        continue;
      }

      // get 9
      if( i == 1071000 ) {
        step(0, 6.88);
        continue;
      }

      if( i == 950000 ) {
        double P = 28;
        step(P * N_VX + 364.76, P * N_VY);
        continue;
      }

      // get 10
      if( i == 850100 ) {
        step(0, -3.25);
        continue;
      }

      if( i == 605000 ) {
        double P = 231.8;
        step(P * N_VX, P * N_VY);
        continue;
      }

      // get 8
      if( i == 435000 ) {
        double P = 300;
        step(P * N_VX + 364.76, P * N_VY);
        continue;
      }

      // get 7
      if( i == 305000 ) {
        double P = 93.55;
        step(P * N_VX, P * N_VY);
        continue;
      }

      // get 6
      if( i == 218000 ) {
        double P = 112.15;
        step(P * N_VX, P * N_VY);
        continue;
      }

      // get 5
      if( i == 148000 ) {
        double P = 169.213;
        step(P * N_VX, P * N_VY);
        continue;
      }

      // get 4
      if( i == 98000 ) {
        double P = 143.138;
        step(P * N_VX, P * N_VY);
        continue;
      }

      // get 3
      if( i == 58000 ) {
        double P = 204.78;
        step(P * N_VX, P * N_VY);
        continue;
      }

      // get 2
      if( i == 29000 ) {
        double P = 678.48;
        step(P * N_VX, P * N_VY);
        continue;
      }

      // get 1
      if( i == 1600 ) {
        double P = 1750.7;
        step(P * N_VX, P * N_VY);
        continue;
      }

      // get 0
      if( i == 0 ) {
        step(240, 50);
        continue;
      }

      step(0, 0);

    }

  }

}
