import java.io.*;
import java.awt.*;
import VM.*;

public class Client4002 extends ClientBase implements GUI.Paintable {

  public static void main(String[] arg) throws Exception {
//    (new File("vm4002.dump").exists() ? (Client4002)load(4002) : new Client4002()).run();
    new Client4002().run();
  }
  public Client4002() throws Exception { super(4002); }

  double dist(int j) {
    return Math.sqrt((SX - TX4[j]) * (SX - TX4[j]) + (SY - TY4[j]) * (SY - TY4[j]));
  }

  void dump(int i, int j) {
    System.out.println("--------");
    System.out.println(i);
    System.out.println(SX + " " + TX4[j]);
    System.out.println(SY + " " + TY4[j]);
    double D = dist(j);
    System.out.println(D);
    System.out.println("--------");
  }

  void run() throws IOException {

    step(0, 0);
    step(0, 0);

    double min = Double.MAX_VALUE;
    int mid = 0;

    for(int i=vm.getTimeStamp()-2; i<2000000; ++i) {

      if( SCORE < 0 ) {
        System.err.println("CRASHED! " + FUEL + "/" + FUEL0);
        System.exit(0);
      }

      // if( i == 730000 ) { save(); }

int j = 11;
      double DI = dist(j);
      FROMME = DI <= 1000000;
      // FROMME = true;
      FROMME_RANGE = 2000000;
      if( FROMME ) { wait(1500000); }

      if( min > DI ) {
        min = DI;
        mid = i;
      }

      if( min <= 1000000 && min + 1000000 <= DI ) {
        System.err.println(mid + " " + min);
        System.exit(0);
      }

      if( DI < 8000 ) { System.err.println(i + " " + DI); }
      // to get output
      int END = 2000000;
      if( i == END ) System.exit(0);

      wait(10000);

      // get 11
      if( i == 731000 ) {
        step(0, 346.5);
        continue;
      }

      // go moon !
      if( i == 497000 ) {
        double P = 1010;
        step(P * N_SY, P * -N_SX);
        continue;
      }

      // get 7
      if( i == 482180 ) {
        step(10, 10);
        continue;
      }

      if( i == 413000 ) {
        double P = 333.4469;
        step(P * N_VX, P * N_VY);
        continue;
      }

      // get 9
      if( i == 340000 ) {
        double P = 448.81;
        step(P * N_VX, P * N_VY);
        continue;
      }

      // get 1
      if( i == 240000 ) {
        double P = 130.37;
        step(P * N_VX, P * N_VY);
        continue;
      }

      // get 8
      if( i == 170000 ) {
        double P = 938.78;
        step(P * N_VX, P * N_VY);
        continue;
      }

      // get 5
      if( i == 130000 ) {
        double P = -158.47;
        step(P * N_VX, P * N_VY);
        continue;
      }

      // get 3
      if( i == 90000 ) {
        double P = -229.25;
        step(P * N_VX, P * N_VY);
        continue;
      }

      // get 10
      if( i == 66000 ) {
        double P = -103.7;
        step(P * N_VX, P * N_VY);
        continue;
      }

      // get 6
      if( i == 58500 ) {
        step(0, -998.3);
        continue;
      }

      // get 4
      if( i == 46000 ) {
        step(0, -753.3);
        continue;
      }

      if( i == 39000 ) {
        double P = 140;
        step(P * N_VX, P * N_VY);
        continue;
      }

      // get 2
      if( i == 36000 ) {
        step(-637, -200);
        continue;
      }

      if( i == 6000 ) {
        double P = 400;
        step(P * N_SY, P * -N_SX);
        continue;
      }

      // get 0
      if( i == 2000 ) {
        step(268.8, -200);
        continue;
      }

      if( i == 0 ) {
        step(0, 500);
        continue;
      }

      step(0, 0);

    }

  }

}
